﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;

@{Layout = "~/Views/Shared/_Layout.cshtml";}

@Html.Partial("_PartialScriptDistributionMaster")


<div class="content" style = "padding:15px;">
<table width="100%">
    <tr>
        <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Distributor Code";
                        
                    }).GetHtml()
         </td>         
         <td> @Html.DevExpress().ComboBox(
                    combo =>
                    {
                        combo.Name = "DistributorCode";
                        combo.Width = 100;
                        combo.SelectedIndex = -1;
                        combo.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        combo.CallbackRouteValues = new { Controller = "DistributionMaster", Action = "ComboDistributorCode" };
                        combo.Properties.TextField = "DISTRIBUTOR_CD";
                        combo.Properties.ValueField = "DISTRIBUTOR_CD";
                    }).BindList(ViewData["DISTRIBUTOR_CD"]).GetHtml()
            </td>
         <td></td>
         <td>
         @Html.DevExpress().Label(
                label =>
                   {
                       label.Text = "Distributor Name";
                       
                   }).GetHtml()
         </td>         
         <td> @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "DistributorName";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left; 
                            textbox.Width = 160;
                        }).GetHtml()
         </td>
         <td></td>
         <td>
         @Html.DevExpress().Label(
                label =>
                   {
                       label.Text = "Distributor Country";
                       
                   }).GetHtml()
         </td>         
         <td> 
            @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "DistributorCountry";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left; 
                            textbox.Width = 120;
                        }).GetHtml()
         </td>
         <td style="width:300px"></td>
          <td colspan="2" align="right">
                @Html.DevExpress().Button(
                 edtSetting =>
                 {
                     edtSetting.Name = "cmdSearch";
                     edtSetting.Text = "Search";
                     edtSetting.Width = 80;
                     edtSetting.ClientSideEvents.Click = "OnSearch";
                     edtSetting.Style.Add("display", "inline-table");
                     edtSetting.UseSubmitBehavior = true;
                     edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DistributionMaster", "FTR-SPEX-120-01", "SEARCH");
                     
                 }
                 ).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DistributionMaster", "FTR-SPEX-120-01", "CLEAR");
                }
                ).GetHtml()
            </td>  
    </tr>
    <tr>
    <td colspan="12">
        <hr />
    </td>
    </tr>
    </table>
    <table border="0" width="100%">
    <tr>
        <td colspan="6">
        @Html.DevExpress().Button(
            edtSetting =>
            {
                edtSetting.Name = "cmdSave";
                edtSetting.Width = 80;
                edtSetting.Text = "Save";
                edtSetting.ClientSideEvents.Click = "TombolSave";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DistributionMaster", "FTR-SPEX-120-02", "SAVE");
    
             }
             ).GetHtml()      
    
            @Html.DevExpress().Button(
                edtSetting =>
                {
                edtSetting.Name = "cmdCancel";
                edtSetting.Width = 80;
                edtSetting.Text = "Cancel";
                edtSetting.ClientSideEvents.Click = "CancelData";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                //edtSetting.ClientVisible = false;
                edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DistributionMaster", "FTR-SPEX-120-02", "CANCEL");
                }
                ).GetHtml()
            @Html.DevExpress().Button(
            download =>
                {
                    download.Name = "cmdDownload";
                    download.Width = 80;
                    download.Text = "Download";
                    download.ClientSideEvents.Click = "DownloadData";
                    download.Style.Add("display", "inline-table");
                    download.UseSubmitBehavior = true;
                    download.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DistributionMaster", "FTR-SPEX-120-03", "DOWNLOAD");
                }
                ).GetHtml()
        </td>
        <td></td>
        <td align=right colspan="6">
            @Html.DevExpress().Button(
            edtSetting =>
            {
            edtSetting.Name = "cmdAdd";
            edtSetting.Width = 80;
            edtSetting.Text = "Add";
            edtSetting.ClientSideEvents.Click = "AddData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DistributionMaster", "FTR-SPEX-120-02", "ADD");
            }).GetHtml()

            @Html.DevExpress().Button(
            edtSetting =>
            {
            edtSetting.Name = "cmdEdit";
            edtSetting.Width = 80;
            edtSetting.Text = "Edit";
            edtSetting.ClientSideEvents.Click = "EditData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DistributionMaster", "FTR-SPEX-120-02", "EDIT");
                
            }).GetHtml()

            @Html.DevExpress().Button(
            edtSetting =>
            {
            edtSetting.Name = "cmdDelete";
            edtSetting.Width = 80;
            edtSetting.Text = "Delete";
            edtSetting.ClientSideEvents.Click = "DeleteData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DistributionMaster", "FTR-SPEX-120-02", "DELETE");
            }).GetHtml()
        </td>
    </tr>
</table>
</div>

<div style ="padding: 0px;"> </div>
<div class="content" style="min-height:400px">
@Html.Partial("GridDistributionMaster")
</div>